//DSP_FPGA workshop 2005
//2005/8/24
`timescale 1ps / 1ps
module gazou (
  clk,
  rstb,
  p_clk,
  out_da_en,
  out_da_r,
  out_da_g,
  out_da_b,
  out_vsync_n,
  out_hsync_n,
  sync_n,
  hanten,
  mono,
  fir);

  input clk;
  input rstb;
  output p_clk;
  output out_da_en;
  output [7:0]out_da_r;
  output [7:0]out_da_g;
  output [7:0]out_da_b;
  output out_vsync_n;
  output out_hsync_n;
  output sync_n; 
  input  hanten;
  input  mono ;
  input fir;

  wire p_clk;  
  wire gen_da_en;
  wire [7:0]gen_da_r;
  wire [7:0]gen_da_g;
  wire [7:0]gen_da_b;
  wire gen_vsync; 
  wire gen_hsync; 
  wire sync;
  wire tmg_sync;
  wire tmg_da_en;
   
   
  assign sync_n = 1'b0;


gazou_tmg tmg (
  .clk(        clk),        
  .rstb(       rstb),   
  .p_clk(       p_clk),
  .tmg_sync(   tim_sync),
  .tmg_da_en(  tmg_da_en),
  .out_vsync_n(out_vsync_n),   
  .out_hsync_n(out_hsync_n)   
);

gazou_gen gen (
  .p_clk(    p_clk),        
  .rstb(     rstb),    
  .tmg_sync( tmg_sync),  
  .tmg_da_en(tmg_da_en),
  .gen_da_en(gen_da_en),
  .gen_da_r( gen_da_r), 
  .gen_da_g( gen_da_g), 
  .gen_da_b( gen_da_b), 
  .gen_sync( gen_sync) 
);

gazou_syori syori (
  .p_clk(      p_clk),        
  .rstb(       rstb),   
  .gen_da_en( gen_da_en),   
  .gen_da_r(  gen_da_r), 
  .gen_da_g(  gen_da_g), 
  .gen_da_b(  gen_da_b), 
  .gen_sync(  gen_sync), 
  .out_da_en( out_da_en), 
  .out_da_r(  out_da_r), 
  .out_da_g(  out_da_g), 
  .out_da_b(  out_da_b),   
  .hanten(hanten),
  .mono(mono),
  .fir(fir)
);

endmodule



